<?xml version="1.0" encoding="UTF-8"?>
<flexview-themes>

    <!-- Map the PLAFs to specific themes -->
    <plaf name="apple.laf.AquaLookAndFeel" ref="scilab-macos" />
    <plaf name="javax.swing.plaf.metal.MetalLookAndFeel" ref="scilab" />
    <plaf name="com.sun.java.swing.plaf.gtk.GTKLookAndFeel" ref="scilab" />
    <plaf name="com.sun.java.swing.plaf.windows.WindowsLookAndFeel" ref="scilab" />
    <plaf name="com.sun.java.swing.plaf.motif.MotifLookAndFeel" ref="scilab" />
	
    <!-- Begin Scilab -->
    <theme name="scilab" description="Scilab Theme" view-ui="scilab">
        <view-ui name="scilab">
            <property name="titlebar-ui" value="scilab"/>
        </view-ui>
	
        <!-- List the various titlebars that are available -->
        <titlebar-ui name="scilab" extends="default">
            <property name="icon-map" value="scilab" />
        </titlebar-ui>
	
        <icon-resource name="scilab.undock">
		<property name="default" value="undock_default.png" />
		<property name="active" value="undock_active.png" />
		<property name="tooltip" value="Undock" handler="string" />
	</icon-resource>

	<icon-resource name="scilab.close" extends="win32.close">
		<property name="default" value="scilab_close_default.png" />
		<property name="active" value="scilab_close_active.png" />
	</icon-resource>

        <!-- List the available icon maps -->	
        <icon-map name="scilab">
            <property name="close" value="scilab.close" />
            <property name="pin" value="win32.pin" />
            <property name="undock" value="scilab.undock" />
        </icon-map>
    </theme>
    <!-- End Scilab -->

    <!-- Begin Scilab MacOS-->
    <theme name="scilab-macos" description="Scilab Theme for MacOS" view-ui="scilab-macos" extends="scilab">

        <view-ui name="scilab-macos" extends="scilab">
            <property name="titlebar-ui" value="scilab-macos"/>
        </view-ui>
	
        <titlebar-ui name="scilab-macos" extends="scilab">
	  <property name="painter" value="scilabMacosPainter" handler="paint"/>
        </titlebar-ui>

	<painter-resource name="scilabMacosPainter">
	  <property name="classname" value="org.flexdock.plaf.resources.paint.DefaultPainter"/>
	  <property name="bgcolor.active" value="#000000" handler="color"/>
	</painter-resource>
        
    </theme>


</flexview-themes>
